part of modern_form_core;

class ModernFormLabelWithInfo extends StatelessWidget {
  final String labelText;
  final String labelTextHelper;
  final TextStyle? labelStyle;

  const ModernFormLabelWithInfo({
    Key? key,
    required this.labelText,
    required this.labelTextHelper,
    this.labelStyle,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Text(
          labelText,
          overflow: TextOverflow.ellipsis,
          style: labelStyle,
        ),
        Padding(
          padding: EdgeInsets.only(left: ScreenUtil().setWidth(5)),
          child: ModernFormInfoButton(labelTextHelper),
        )
      ],
    );
  }
}
